CREATE TABLE `ombutel`.`ombu_cid_sources` (
	`cid_source_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
	`inbound_route_id` int(11) unsigned NOT NULL,
	`phonebook_id` int(11) unsigned NOT NULL,
	PRIMARY KEY (`cid_source_id`),
	KEY `ombu_cid_sources_ibfk_2` (`phonebook_id`),
	KEY `ombu_cid_sources_ibfk_1` (`inbound_route_id`),
	CONSTRAINT `ombu_cid_sources_ibfk2` FOREIGN KEY (`phonebook_id`)
	REFERENCES `ombutel`.`ombu_phonebooks` (`phonebook_id`) ON DELETE CASCADE,
	CONSTRAINT `ombu_cid_sources_ibfk_1` FOREIGN KEY (`inbound_route_id`)
	REFERENCES `ombutel`.`ombu_inbound_routes` (`inbound_route_id`) ON DELETE CASCADE
) charset=utf8 collate=utf8_unicode_ci;
