(function(){
    function refresh(response) {
       if (response.state == "success") {
          data_table_zerotouch();
          if (response.is_recursion) {
             interval = setTimeout(() => {
                pbx_request("epm_zerotouch", "refresh").then(refresh);
             }, 5000);
          } else {
             $("#start_zerotouch").attr('disabled', false);
          }
       }
    }
    $(function(){
        pbx_request("epm_zerotouch", "refresh").then(refresh);
    })
 
     $("#start_zerotouch").click(function(){
       pbx_request("epm_zerotouch", "create_task").then(refresh);
     });
 
     function data_table_zerotouch() {
          var DataTablesOptionsZerotouch = {
             "processing": true,
             "serverSide": true,
             "paging":false,
             "pageLength": 5,
             "lengthMenu": [5, 10, 20, 50, 100],
             "destroy": true,
             "searching":false,
             "ajax": {
                "url": "/",
                "type": "POST",
                "data": function (d) {
                   d.class = "epm_zerotouch";
                   d.method = "get_task";
                   d.mode = "add";
                }
             },
             "columns": [
                {"data": "start_date", "name": "Start Date"},
                {"data": "status", "name": "Status"},
                {"data": "log","name":"Log", 'orderable': false},
             ],
             "drawCallback": function( settings ) {
                helpPopover();
             },
             order: [[0, 'asc']]
          };
 
          Ombutel.find("#zero-touch").DataTable(DataTablesOptionsZerotouch);
       }
 
    //    data_table_zerotouch();
 
 })()
 
 function toggle_option(object){
    return $.ajax({
       type: "POST",
       dataType: 'json',
       data: {
          class: 'epm_zerotouch',
          method: 'format_log',
          data: object.data('key'),
       }
    }).then(function(data){
       $("#zerotouch_log").css('display','block')
       $("#legend_zerotouch").css('display','block')
       $("#zerotouch_log").empty().append(data.action);
    });
 }