(function () {
	$("#extension_settings_form").validate(Validations);
	var attach_toggle = $("#extension_settings_form #extension_settingsgeneral input#attach");
	var delete_toggle = $("#extension_settings_form #extension_settingsgeneral input#delete");
	var delete_toggle_labels = $("#extension_settings_form #extension_settingsgeneral div.form-group-delete label");

	$("#extension_settings_form #extension_settingsgeneral input#attach").on('change', function() {
		gray_out(attach_toggle,delete_toggle,delete_toggle_labels);
	});
	gray_out(attach_toggle,delete_toggle,delete_toggle_labels);

	$("#extension_settingsvoicemail button.play").not('.disabled').click(function() {
		$.ajax({
			type : "POST",
			dataType : "json",
			data : { class: "extension_settings", method: "player", what: $(this).data("what") },
			success : processServerResponse
		});
	});

	$("#extension_settingsvoicemail button.edit").click(function() {
		pbx_request("extension_settings", "upload_vm_prompt", $(this).data('upload'));
	});

	$("#extension_settingsvoicemail button.delete").not('.disabled').click(function() {
		pbx_request("extension_settings", "delete_vm_prompt", $(this).data('what'));
	});

	$(document).on("change", 'input[type="file"]', function(){
		$(this).next("label.form-control").text($(this).val())
	});

	function set_phone_feature_toggle(id,enabled){		
		var diversion_input = `#extension_settings_form #extension_settingsphonefeatures #${id}_external_call`;
		var diversion_label = `#extension_settings_form #extension_settingsphonefeatures #${id}_external_call + div label`;		
		$(diversion_input).attr('disabled',enabled)		
		 enabled ? $(diversion_label).addClass('disabled') : $(diversion_label).removeClass('disabled');

	}
	$("#extension_settings_form #extension_settingsphonefeatures input#boss_enabled").change(function(){
		if(!$(this).is(':checked')){		
			$("#extension_settings_form #extension_settingsphonefeatures #boss_external_call").bootstrapToggle('off')
			set_phone_feature_toggle('boss',true)
		}
		else
		{
			set_phone_feature_toggle('boss',false)
		}		
	})
	$("#extension_settings_form #extension_settingsphonefeatures input#fwm_enabled").change(function(){
		if(!$(this).is(':checked')){			
			$("#extension_settings_form #extension_settingsphonefeatures #fwm_external_call").bootstrapToggle('off')
			set_phone_feature_toggle('fwm',true)
		}
		else
		{
			set_phone_feature_toggle('fwm',false)
		}		
	})
	$("#extension_settings_form #extension_settingsphonefeatures input#cfi_enabled").change(function(){
		if(!$(this).is(':checked')){			
			$("#extension_settings_form #extension_settingsphonefeatures #cfi_external_call").bootstrapToggle('off')
			set_phone_feature_toggle('cfi',true)
		}
		else
		{
			set_phone_feature_toggle('cfi',false)
		}		
	})
	$("#extension_settings_form #extension_settingsphonefeatures input#cfb_enabled").change(function(){
		if(!$(this).is(':checked')){			
			$("#extension_settings_form #extension_settingsphonefeatures #cfb_external_call").bootstrapToggle('off')
			set_phone_feature_toggle('cfb',true)
		}
		else
		{
			set_phone_feature_toggle('cfb',false)
		}		
	})
	$("#extension_settings_form #extension_settingsphonefeatures input#cfn_enabled").change(function(){
		if(!$(this).is(':checked')){			
			$("#extension_settings_form #extension_settingsphonefeatures #cfn_external_call").bootstrapToggle('off')
			set_phone_feature_toggle('cfn',true)
		}
		else
		{
			set_phone_feature_toggle('cfn',false)
		}		
	})
	$("#extension_settings_form #extension_settingsphonefeatures input#cfu_enabled").change(function(){
		if(!$(this).is(':checked')){			
			$("#extension_settings_form #extension_settingsphonefeatures #cfu_external_call").bootstrapToggle('off')
			set_phone_feature_toggle('cfu',true)
		}
		else{
			set_phone_feature_toggle('cfu',false)
		}		
	})
	$("#extension_settings_form #extension_settingsphonefeatures input#cc_enabled").change(function(){
		if(!$(this).is(':checked')){			
			$("#extension_settings_form #extension_settingsphonefeatures #cc_external_call").bootstrapToggle('off')
			set_phone_feature_toggle('cc',true)
		}
		else
		{
			set_phone_feature_toggle('cc',false)
		}		
	})

	// prevent setting attaching vm without notify
	// or setting deleting vm without attaching
	$("#extension_settings_form #extension_settingsphonefeatures #boss_enabled").trigger('change')
	$("#extension_settings_form #extension_settingsphonefeatures #fwm_enabled").trigger('change')
	$("#extension_settings_form #extension_settingsphonefeatures #cfi_enabled").trigger('change')
	$("#extension_settings_form #extension_settingsphonefeatures #cfb_enabled").trigger('change')
	$("#extension_settings_form #extension_settingsphonefeatures #cfn_enabled").trigger('change')
	$("#extension_settings_form #extension_settingsphonefeatures #cfu_enabled").trigger('change')
	$("#extension_settings_form #extension_settingsphonefeatures #cc_enabled").trigger('change')

	var attach_toggle = $("#extension_settingsvoicemail input#attach");

	var delete_toggle = $("#extension_settingsvoicemail input#delete");
	var delete_toggle_labels = $("#extension_settingsvoicemail div.form-group-delete label");

	var notifications_toggle = $("#extension_settingsvoicemail input#notifications");
	var notifications_toggle_labels = $("#extension_settingsvoicemail div.form-group-notifications label");
	var set_restrictions = function() {
		if(!attach_toggle.prop('checked')) {
			delete_toggle.bootstrapToggle('off');
		} else {
			notifications_toggle.bootstrapToggle('on');
		}
		gray_out(attach_toggle, notifications_toggle, notifications_toggle_labels, true);
		gray_out(attach_toggle,delete_toggle,delete_toggle_labels);
	}
	$("#extension_settingsvoicemail input#attach").on('change', function() {
		set_restrictions();
	});

	$("#extension_settings_form #device_id + span").click(function() {
		var device_id = $("#extension_settings_form #device_id").val();
		pbx_request('extension_settings', 'provision_device', 'edit', device_id);
	});


	$("#extension_settingsfollowme .formtextdialog").click(function() {
		var input = $(this).closest(".form-group").find("input");
		var label = $(this).closest(".form-group").find("label.form-control");
		var title = input.data("title");
		var textarea = $("<textarea class=\"modaltextarea\">").val(input.val().replace(/,+/g,"\n"));
		var dialog = create_modal(title, function() {
			var value = textarea.val().replace(/[\r\n ]+/g,",");
			input.val(value);
			label.text(value);
		});
		dialog.find(".modal-body").append(textarea);
		dialog.modal();
		return false;
	});
})();
