select `setting_type_id` into @other
from `ombutel`.`xepm_setting_types`
where `ident` = 'other';

insert into `ombutel`.`xepm_settings` (`parent_id`, `configuration_type_id`, `setting_type_id`, `name`, `default`)
select v.* from (
	select s.`setting_id` as `parent_id`, ct.`configuration_type_id`, @other, 'P64' as `name`, 'auto'
	from `ombutel`.`xepm_brands` b
	left join `ombutel`.`xepm_models` m on (m.`brand_id` = b.`brand_id`)
	left join `ombutel`.`xepm_configuration_types` ct on (ct.`model_id` = m.`model_id`)
	left join `ombutel`.`xepm_settings` s on (s.`configuration_type_id` = ct.`configuration_type_id` and s.`parent_id` is null)
	where b.`name` = 'GrandStream' and m.`name` in ('GPX1100', 'GPX1105')
) v
left join `ombutel`.`xepm_settings` s on (
	s.`configuration_type_id` = v.`configuration_type_id`
	and s.`parent_id` = v.`parent_id` and s.`name` = v.`name`)
where s.`setting_id` is null;

insert into `ombutel`.`xepm_settings` (`parent_id`, `configuration_type_id`, `setting_type_id`, `name`, `default`)
select v.* from (
	select s.`setting_id` as `parent_id`, ct.`configuration_type_id`, @other, 'P246' as `name`, 'MTZ+6MDT+5,M4.1.0,M11.1.0'
	from `ombutel`.`xepm_brands` b
	left join `ombutel`.`xepm_models` m on (m.`brand_id` = b.`brand_id`)
	left join `ombutel`.`xepm_configuration_types` ct on (ct.`model_id` = m.`model_id`)
	left join `ombutel`.`xepm_settings` s on (s.`configuration_type_id` = ct.`configuration_type_id` and s.`parent_id` is null)
	where b.`name` = 'GrandStream' and m.`name` in ('GPX1100','GPX1105','GXP2200','GXV3275','GXV3240','GAC2500')
) v
left join `ombutel`.`xepm_settings` s on (
	s.`configuration_type_id` = v.`configuration_type_id`
	and s.`parent_id` = v.`parent_id` and s.`name` = v.`name`)
where s.`setting_id` is null;
