use `ombutel`;
update `ombu_classes_of_service` set `default` = 'no' where `default` is null;

insert into `ombutel`.`ombu_settings` (`module_id`, `name`, `value`)
select
	`modules`.`module_id`,
	"default_class_of_service",
	`cos`.`class_of_service_id`
from `ombutel`.`ombu_modules` as `modules`
join `ombutel`.`ombu_classes_of_service` as `cos`
where `modules`.`name` = "class_of_service"
and `cos`.`default` = "yes"
limit 1
on duplicate key update `value` = values(`value`);
