delete from `ombutel`.`ombu_announcements`
where `recording_id` is null or `destination_id` is null;

alter table `ombutel`.`ombu_announcements`
	drop foreign key `ombu_announcements_ibfk_1`,
	drop foreign key `ombu_announcements_ibfk_2`,
	modify column `recording_id` int unsigned not null,
	modify column `destination_id` int unsigned not null;

alter table `ombutel`.`ombu_announcements`
	add constraint `ombu_announcements_ibfk_1` foreign key (`recording_id`) references `ombutel`.`ombu_recordings`(`recording_id`),
	add constraint `ombu_announcements_ibfk_2` foreign key (`destination_id`) references `ombutel`.`ombu_destinations`(`destination_id`);
