use `ombutel`;

-- add the module
insert into `ombutel`.`ombu_modules` (`name`, `has_dialplan`, `admin`, `version`, `portal`) values ("teams", "no", "yes", "1.0", "no");
select last_insert_id() into @module_id;

-- update sorting in the module
select `menu_id` into @parent_id from `ombu_menu` where label = 'menu.endpoint_manager';
-- set @counter := 3;
update `ombu_menu` set `sort` = (`sort` + 1) where `parent_id` = @parent_id and sort > 2;

insert into `ombutel`.`ombu_menu` (`label`, `parent_id`, `module_id`, `sort`)
select "menu.teams", `parent`.`menu_id`, @module_id, 3
from `ombutel`.`ombu_menu` as `parent` where `label` = 'menu.endpoint_manager';

insert into `ombutel`.`ombu_role_privileges` (`role_id`, `module_id`, `allow_view`, `allow_add`, `allow_edit`, `allow_delete`)
select `role_id`, @module_id, "yes", "yes", "yes", "yes" from `ombutel`.`ombu_roles` where `superadmin` = "yes";

insert into `ombutel`.`ombu_settings` (`module_id`, `name`, `value`) values
(@module_id, 'teams_api_key', ''),
(@module_id, 'teams_account_id', ''),
(@module_id, 'from_address', ''),
(@module_id, 'email_subject', ''),
(@module_id, 'email_body', '')
	on duplicate key update `value` = values(`value`);
