rename table `ombutel`.`ombu_application_users` to `ombutel`.`existing_application_users`;

create table `ombutel`.`ombu_application_users` (
	`application_id` int unsigned not null references `ombutel`.`ombu_applications`(`application_id`) on delete cascade,
	`user_id` int unsigned not null references `ombutel`.`ombu_applications`(`application_id`) on delete cascade,
	unique (`application_id`, `user_id`)
) charset=utf8 collate=utf8_unicode_ci;

insert ignore into `ombutel`.`ombu_application_users` (`application_id`, `user_id`)
select `application_id`, `user_id` from `ombutel`.`existing_application_users`;

drop table `ombutel`.`existing_application_users`;
