(function () {
	$("a[href='#tab_extensions_status'] i.reload-tab").remove();
	var dataTablesOptions = {
		"processing": true,
		"serverSide": true,
		"lengthMenu": [ 10, 20, 50, 100 ],
		"pageLength": 100,
		"ajax": {
			"url": "/",
			"type": "POST",
			"data": function ( d ) {
				d.class = "extensions_status";
				d.method = "load_extension_diversions";
				d.mode = "get";
			}
		},
		"columns": [
			{ "data": "extension", "name": "extension" },
			{ "data": "BOSS", "name" : "BOSS", "className": "visible-md visible-lg", "orderable": true},
			{ "data": "SecretaryNumber", "name": "secretary", "className": "visible-lg", "orderable": true },
			{ "data": "PEA", "name" : "PEA", "className": "visible-md visible-lg", "orderable": true },
			{ "data": "FWM", "name" : "FWM", "className": "visible-lg", "orderable": true },
			{ "data": "DND", "name" : "DND", "className": "visible-md visible-lg", "orderable": true },
			{ "data": "CFI", "name" : "CFI", "className": "visible-md visible-lg", "orderable": true },
			{ "data": "CFB", "name" : "CFB", "className": "visible-md visible-lg", "orderable": true },
			{ "data": "CFN", "name" : "CFN", "className": "visible-md visible-lg", "orderable": true },
			{ "data": "CFU", "name" : "CFU", "className": "visible-md visible-lg", "orderable": true },
			{ "data": "CC",  "name" : "CC", "className": "visible-md visible-lg", "orderable": true },
			{ "data": "limit", "name" : "limit", "className": "visible-md visible-lg", "orderable": true },
			{ "data": "devices"},
			{ "data": "action"}
		],
		order: [[0, 'asc']]
	};

	Ombutel.find("#extension-status-table").DataTable(dataTablesOptions);
		function set_restrication(id,enabled){
			var external_call_id  = "#" +id + "_external_call";
			var external_status_form = '#extensions_status_modal_form';
			var disable_button =  external_status_form +' ' +external_call_id + ' + div label'

			Ombutel.find(external_call_id).attr('disabled',enabled);
			if(enabled){
				Ombutel.find(disable_button).addClass('disabled')
			}else
			{
				Ombutel.find(disable_button).removeClass('disabled');
				if(Ombutel.find(external_call_id).attr('disabled')){
					Ombutel.find(external_call_id).bootstrapToggle('enable')
				}

			}
		}
		Ombutel.on('change','#boss_enabled',function(){
			if(!$(this).is(':checked')){
				Ombutel.find('#boss_external_call').bootstrapToggle({"onstyle": "success","width": 70})
				Ombutel.find('#boss_external_call').bootstrapToggle('off')
				Ombutel.find('#boss_external_call').bootstrapToggle('disabled')
				set_restrication('boss',!$(this).is(':checked'));
			}
			else
			{
				set_restrication('boss',!$(this).is(':checked'));
			}
	})
	Ombutel.on('change','#fwm_enabled',function(){
		if(!$(this).is(':checked')){
			Ombutel.find('#fwm_external_call').bootstrapToggle({"onstyle": "success","width": 70})
			Ombutel.find('#fwm_external_call').bootstrapToggle('off')
			Ombutel.find('#fwm_external_call').bootstrapToggle('disabled')
			set_restrication('fwm',!$(this).is(':checked'));
		}
		else
		{
			set_restrication('fwm',!$(this).is(':checked'));
		}
	})

	Ombutel.on('change','#cfi_enabled',function(){
		if(!$(this).is(':checked')){
			Ombutel.find('#cfi_external_call').bootstrapToggle({"onstyle": "success","width": 70})
			Ombutel.find('#cfi_external_call').bootstrapToggle('off')
			Ombutel.find('#cfi_external_call').bootstrapToggle('disabled')
			set_restrication('cfi',!$(this).is(':checked'));
		}
		else
		{
			set_restrication('cfi',!$(this).is(':checked'));
		}
	})

	Ombutel.on('change','#cfb_enabled',function(){
		if(!$(this).is(':checked')){
			Ombutel.find('#cfb_external_call').bootstrapToggle({"onstyle": "success","width": 70})
			Ombutel.find('#cfb_external_call').bootstrapToggle('off')
			Ombutel.find('#cfb_external_call').bootstrapToggle('disabled')
			set_restrication('cfb',!$(this).is(':checked'));
		}
		else
		{
			set_restrication('cfb',!$(this).is(':checked'));
		}
	})

	Ombutel.on('change','#cfn_enabled',function(){
		if(!$(this).is(':checked')){
			Ombutel.find('#cfn_external_call').bootstrapToggle({"onstyle": "success","width": 70})
			Ombutel.find('#cfn_external_call').bootstrapToggle('off')
			Ombutel.find('#cfn_external_call').bootstrapToggle('disabled')
			set_restrication('cfn',!$(this).is(':checked'));
		}
		else
		{
			set_restrication('cfn',!$(this).is(':checked'));
		}
	})

	Ombutel.on('change','#cfu_enabled',function(){
		if(!$(this).is(':checked')){
			Ombutel.find('#cfu_external_call').bootstrapToggle({"onstyle": "success","width": 70})
			Ombutel.find('#cfu_external_call').bootstrapToggle('off')
			Ombutel.find('#cfu_external_call').bootstrapToggle('disabled')
			set_restrication('cfu',!$(this).is(':checked'));
		}
		else
		{
			set_restrication('cfu',!$(this).is(':checked'));
		}
	})

	Ombutel.on('change','#cc_enabled',function(){
		if(!$(this).is(':checked')){
			Ombutel.find('#cc_external_call').bootstrapToggle({"onstyle": "success","width": 70})
			Ombutel.find('#cc_external_call').bootstrapToggle('off')
			Ombutel.find('#cc_external_call').bootstrapToggle('disabled')
			set_restrication('cc',!$(this).is(':checked'));
		}
		else
		{
			set_restrication('cc',!$(this).is(':checked'));
		}
	})
	// Ombutel.find('#extensions_status_modal_form #boss_enabled').trigger('change');



})();


function toggle_switch(){
	Ombutel.find('#boss_enabled').trigger('change');
	Ombutel.find('#fwm_enabled').trigger('change');
	Ombutel.find('#cfi_enabled').trigger('change');
	Ombutel.find('#cfb_enabled').trigger('change');
	Ombutel.find('#cfn_enabled').trigger('change');
	Ombutel.find('#cfu_enabled').trigger('change');
	Ombutel.find('#cc_enabled').trigger('change');
}
function toggle_diversions(object){
	var diversion = object.data('diversion');
	var extension = object.data('ext');
	var status = (object.is(':checked') ? 'yes' : 'no');
	var tg = object.data('tg');
	$.ajax({
		type: "POST",
		dataType: 'json',
		data: {
			class: 'extensions_status',
			method: 'toggle_diversion',
			data: { mode: 'put', diversion: diversion, extension: extension, enable: status}
		},
		success: function (data) {
			if(data.notification.type == 'success') {
				if(object.is(':checked')) {
					if(tg) {
						object.next('label').replaceWith("<i class='tg-enable fa fa-fw fa-clock-o'></i>");
						object.remove();
					}
					else {
						object.next('label').removeClass('diversion-off');
						object.next('label').addClass('diversion-on');
					}
				} else {
					object.next('label').addClass('diversion-off');
					object.next('label').removeClass('diversion-external-call');
					object.next('label').removeClass('diversion-on');
				}
			} else {
				object.prop('checked', false);
			}
			sendNotification(data.notification.type, data.notification.text);
		}
	});
}
function toggle_option(object){
	var option = object.data('option');
	var extension = object.data('ext');
	var status = (object.is(':checked') ? 'yes' : 'no');
	$.ajax({
		type: "POST",
		dataType: 'json',
		data: {
			class: 'extensions_status',
			method: 'toggle_option',
			data: { mode: 'put', option: option, extension: extension, enable: status}
		},
		success: function (data) {
			if(data.notification.type == 'success') {
				if(object.is(':checked')) {
					object.next('label').removeClass('option-off');
					object.next('label').addClass('option-on');
				} else {
					object.next('label').addClass('option-off');
					object.next('label').removeClass('option-on');
				}
			} else {
				object.prop('checked', false);
			}
			sendNotification(data.notification.type, data.notification.text);
		}
	});
}
